Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.lifetime
Class WsrlConstants

    java.lang.Object
      org.apache.muse.ws.resource.lifetime.WsrlConstants

public class WsrlConstants
extends java.lang.Object

WsrlConstants is a collection of properties that is useful when programming against the WS-ResourceLifetime spec. This class uses WS-RL v1.2.

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName` | `CURRENT_TIME_QNAME` The name of the wsrl:CurrentTime property.
`static QName` | `DESTROY_QNAME`
`static QName` | `DESTROY_RESPONSE_QNAME`
`static java.lang.String` | `DESTROY_URI` The WS-A Action URI of the Destroy operation.
`static java.lang.String` | `IMMEDIATE_TERMINATION_URI`
`static java.lang.String` | `NAMESPACE_URI`
`static QName` | `NEW_TIME_QNAME`
`static QName` | `NOTIFICATION_QNAME` The name of the WS-RL resource termination event.
`static java.lang.String` | `PREFIX`
`static QName` | `REQUESTED_DURATION_QNAME`
`static QName` | `REQUESTED_TIME_QNAME`
`static QName` | `RESOURCE_NOT_DESTROYED_QNAME`
`static java.lang.String` | `SCHEDULED_TERMINATION_URI`
`static QName` | `SET_TERMINATION_QNAME`
`static QName` | `SET_TERMINATION_RESPONSE_QNAME`
`static java.lang.String` | `SET_TERMINATION_URI` The WS-A Action URI of the SetTerminationTime operation.
`static QName` | `TERMINATION_TIME_CHANGE_REJECTED_QNAME`
`static QName` | `TERMINATION_TIME_QNAME` The name of the wsrl:TerminationTime property.
`static QName` | `TERMINATION_TOPIC_QNAME` The name of the WS-N Topic for WS-RL termination events.
`static QName` | `UNABLE_TO_SET_TERMINATION_TIME_QNAME`
`static java.lang.String` | `WSDL_NAMESPACE_URI`
`static java.lang.String` | `WSDL_PREFIX`

Constructor Summary
`WsrlConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final java.lang.String NAMESPACE_URI

See Also:
  Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### WSDL_NAMESPACE_URI

    public static final java.lang.String WSDL_NAMESPACE_URI

See Also:
  Constant Field Values

### WSDL_PREFIX

    public static final java.lang.String WSDL_PREFIX

See Also:
  Constant Field Values

### IMMEDIATE_TERMINATION_URI

    public static final java.lang.String IMMEDIATE_TERMINATION_URI

See Also:
  Constant Field Values

### SCHEDULED_TERMINATION_URI

    public static final java.lang.String SCHEDULED_TERMINATION_URI

See Also:
  Constant Field Values

### DESTROY_URI

    public static final java.lang.String DESTROY_URI

  The WS-A Action URI of the Destroy operation.

  See Also:
    Constant Field Values

### SET_TERMINATION_URI

    public static final java.lang.String SET_TERMINATION_URI

  The WS-A Action URI of the SetTerminationTime operation.

  See Also:
    Constant Field Values

### DESTROY_QNAME

    public static final QName DESTROY_QNAME

### DESTROY_RESPONSE_QNAME

    public static final QName DESTROY_RESPONSE_QNAME

### RESOURCE_NOT_DESTROYED_QNAME

    public static final QName RESOURCE_NOT_DESTROYED_QNAME

### SET_TERMINATION_QNAME

    public static final QName SET_TERMINATION_QNAME

### SET_TERMINATION_RESPONSE_QNAME

    public static final QName SET_TERMINATION_RESPONSE_QNAME

### UNABLE_TO_SET_TERMINATION_TIME_QNAME

    public static final QName UNABLE_TO_SET_TERMINATION_TIME_QNAME

### TERMINATION_TIME_CHANGE_REJECTED_QNAME

    public static final QName TERMINATION_TIME_CHANGE_REJECTED_QNAME

### NEW_TIME_QNAME

    public static final QName NEW_TIME_QNAME

### REQUESTED_TIME_QNAME

    public static final QName REQUESTED_TIME_QNAME

### REQUESTED_DURATION_QNAME

    public static final QName REQUESTED_DURATION_QNAME

### CURRENT_TIME_QNAME

    public static final QName CURRENT_TIME_QNAME

  The name of the wsrl:CurrentTime property.

### TERMINATION_TIME_QNAME

    public static final QName TERMINATION_TIME_QNAME

  The name of the wsrl:TerminationTime property.

### NOTIFICATION_QNAME

    public static final QName NOTIFICATION_QNAME

  The name of the WS-RL resource termination event.

### TERMINATION_TOPIC_QNAME

    public static final QName TERMINATION_TOPIC_QNAME

  The name of the WS-N Topic for WS-RL termination events.

Constructor Detail

### WsrlConstants

    public WsrlConstants()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD